* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    max-width: 100%;
}

@font-face {
    font-family: Poppins;
    src: url('../fonts/Poppins/Poppins-Light.ttf');
}

@font-face {
    font-family: DM_Serif;
    src: url('../fonts/DM_Serif_Display/DMSerifDisplay-Regular.ttf');
}

@font-face {
    font-family: DM_Serif-italic;
    src: url('../fonts/DM_Serif_Display/DMSerifDisplay-Italic.ttf');
}

body {
    overflow-x: hidden !important;
    font-family: Poppins, sans-serif;
    transition: background-color 0.4s ease; 
    background-color: #f5f3f3;
}
html, body {
    overflow-x: hidden;
    width: 100%;
}


/* Header */
.header {
    background-image: url('../img/main.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed; 
    width: 100%;
    height: 100vh;
    background-position: center;
    font-family: Poppins, sans-serif;
    position: relative;
    color: #fff;
}

.header-mobile {
    display: none;
    background-image: url('../img/main.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 100vh;
    background-position: center;
    font-family: Poppins, sans-serif;
    position: relative;
    top: 0;
    color: #fff;
}
.dates-mobile {
    padding-top: 5%;
    opacity: 0.8;
    display: none;
}

.dates-mobile .date {
    font-family:  DM_Serif-italic;
    font-size: 120px;
    line-height: 80px;
}

.dates-mobile .date span {
    margin-left: 120px;
}

.dates-desk {
    padding-top: 5%;
    opacity: 0.8;
    /* padding-right: 30%; */
    /* color: #000; */
    padding-left: 15%;
    display: flex;
    flex-direction: column;
    align-items: start;
    position: relative;
}

.dm-serif-italic {
    font-family: DM_Serif-italic;
    color: #fff;
    font-size: 36px;
}

.col-white {
    color: #fff;
}


.date {
    transform: translateX(-100%);
    opacity: 0;
    animation: slideIn 1s ease-out forwards;
}

/* Animation delay for each date */
.date:nth-child(1) {
    animation-delay: 0.8s;
}
.date:nth-child(2) {
    animation-delay: 1.0s;
}
.date:nth-child(3) {
    animation-delay: 1.2s;
}

@keyframes slideIn {
    to {
        transform: translateX(0);
        opacity: 1;
    }
}

.text1, .text2 {
    opacity: 0;
    transform: translateY(-50px);
    animation: slideDown 0.8s ease-out forwards;
  }
  
  .text2 {
    animation-delay: 0.4s; /* Slightly longer delay for smoother stagger */
  }
  
  @keyframes slideDown {
    to {
      opacity: 1;
      transform: translateY(0);
    }
  }
  

.dates-desk .date {
    font-size: 130px;
    line-height: 90px;
    letter-spacing: -7px;
    font-family: DM_Serif-italic;
}

.dates-desk .date span {
    margin-left: 50px;
}


.tm-block-mobile .tm-img {
    width: 300px;
    float: right;
}

.tm-block-mobile {
    position: absolute;
    bottom: 0;
    /* left: -25px; */
    display: none;
    right: 54px;
}

.tm-block-desk .tm-img {
    position: absolute;
    width: 320px;
    right: 0;
    margin: 0 auto;
    left: 20%;
    top: 50%;
}

.tm-img {
    transform: translateX(100%);
    opacity: 0; 
    animation: slideInFromRight 1s ease-out forwards;
    animation-delay: 0.8s; 
}

@keyframes slideInFromRight {
    to {
        transform: translateX(0); 
        opacity: 1; 
    }
}

/* /////// */
section {
    display: grid;
    place-items: center;
    align-content: center;
    min-height: 105vh;
}

.hidden {
    opacity: 0;
    filter: blur(5px);
    transform: translateX(-100%);
    transition: all 3s;
}
.hidden2 {
    opacity: 0;
    filter: blur(5px);
    transform: translateX(100%);
    transition: all 3s;
}

.show {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0);
}

.fade-in {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 2s ease-out, transform 2s ease-out;
    will-change: opacity, transform; 
}

.fade-in.show2 {
    opacity: 1;
    transform: translateY(0);
}


@media(prefers-reduced-motion) {
    .hidden {
        transition: none;
    }
    .hidden2 {
        transition: none;
    }
}


/* Section: Important Moments */
.m-120 {
    margin: 0 auto;
    padding: 120px 0;
    text-align: center;
    position: relative;
    background-color: #000;
}

.m-120 h5 {
    margin-bottom: 64px;
    color: #fff;
    font-family: DM_Serif;
    font-size: 30px;
}

.left-photo,
.right-photo {
    position: relative;
    margin: 0 auto;
}

.left-photo img,
.right-photo img {
    width: 70%;
}

.right-photo {
    margin-top: 200px;
    margin-left: -20%;
}



.txt-count span {
    margin: 0 10px;
}
#countdown {
    font-size: 35px;
    font-family: DM_Serif-italic;
}

.p-120 {
    padding: 120px 0 80px;
}

.square-round {
    width: 300px; 
    height: 200px;
    object-fit: cover;
    border-radius: 6px;
    overflow: hidden; 
    transition: transform 0.3s ease;
}
.square-round:hover {
    transform: scale(1.1);
}
.location-btn {
    /* display: flex; */
    /* justify-self: center; */
    text-align: center;
    border: 1px solid rgb(155, 155, 155);
    color:  rgb(69, 69, 69);
    font-size: 12px;
    border-radius: 50px;
    margin-top: 15px;
}
.location-btn:hover {
    background-color: #000;
    color: #fff;
    border: 1px solid black;
}
.form .location-btn:hover {
    background-color: white;
    color: #000;
}
.form {
    padding-bottom: 120px;
    border: none;
}
.location-heading {
    margin: 20px auto 0 auto;
    /* width: 220px; */
    padding: 2px 10px;
    border-radius: 4px;
    color: #000;
}

.plan-icon {
    width: 45px;
    margin-bottom: 10px;
}

.plan-content {
    padding: 40px 0;
    border-bottom: 1px solid rgb(155, 155, 155);
}


.plan-content:last-child {
    border-bottom: none;
}

.confirm-block label {
    display: block;
    text-align: left;
    margin: 15px 0;
}
.confirm-block input[type='text'], 
.confirm-block input[type='number'] {
    display: block;
    width: 100%;
    margin: 30px 0;
    padding: 2px 5px;
    border-radius: 0 !important;
    /* border: 0.5px solid #c0c0c0; */
    border: none;
    outline: none;
    background-color: unset;
    border-bottom: 1px solid #808080;
    color: #fff;
}

input[type="radio"] {
    appearance: none;
    width: 14px;
    height: 14px;
    border: 2px solid #ffffff; 
    border-radius: 50%;
    display: inline-block;
    position: relative;
    cursor: pointer;
    text-align: center;
    margin-bottom: -1px;
    margin-right: 8px;
}

input[type="radio"]::before {
    content: "";
    font-size: 12px;
    color: rgb(0, 0, 0);
    position: absolute;
    top: 52%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: none;
}

input[type="radio"]:checked {
    background-color: #ffffff; 
}

input[type="radio"]:checked::before {
    content: "✔";  
    display: block;
}

.bg-black {
    background-color: #000;
    padding: 80px 0 0;
    color: #fff;
}

.apply-block {
    text-align: center;
}

.apply-btn {
    background-color: #ffffff;
    font-size: 16px;
    color: #000000;    
}
.apply-btn:hover {
    color: #000000;
}

.footer {
    padding: 80px 0 30px;
    font-size: 10px;
}

.mb-60 {
    margin-bottom: 60px;
}

.grid-images img {
    transition: 0.4s ease;

}
.grid-images img:hover {
    transform: scale(1.05);
    transition: 0.4s ease;
}